#include <iostream>
#include <vector>

constexpr uint64_t defaultPrice = 42;

uint64_t calcPrice(const std::string & line, const uint64_t price) {

    uint64_t res = 0;

    for (char c : line) {
        res += (c == '|') * price;
    }

    return res ? res : price;

}

uint64_t calcPrice(const std::string & line) {

    if (line.empty() or line == "\n") return 0;

    if (isdigit(line[0])) {

        uint64_t price = std::stoll(line);
        return calcPrice(line, price);

    }

    return calcPrice(line, defaultPrice);

}

uint64_t round(uint64_t i) {

    return (i / 10 * 10) + ((bool)(i%10)) * 10; 

}

int main() {

    std::vector<std::string> lines;

    while (1) {
        if (std::cin.eof()) {
            break;
        }

        std::string str;
        std::getline(std::cin, str);

        lines.emplace_back(str);

    }

    uint64_t res = 0;

    for (const std::string & str : lines) {
        res += calcPrice(str);
    }

    std::cout << round(res) << ",-" << std::endl;

}

